org.apache.poi.hemf.record.emfplus

## Enum HemfPlusImage.EmfPlusImageDataType

- java.lang.Object
- - java.lang.Enum<HemfPlusImage.EmfPlusImageDataType>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusImage.EmfPlusImageDataType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusImage.EmfPlusImageDataType>
  Enclosing class:
    HemfPlusImage

      public static enum HemfPlusImage.EmfPlusImageDataType
      extends java.lang.Enum<HemfPlusImage.EmfPlusImageDataType>

  The ImageDataType enumeration defines types of image data formats.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BITMAP` Specifies a bitmap image.
    `CONTINUED` POI-specific - marks an unfinished/continuable image part
    `METAFILE` Specifies a metafile image.
    `UNKNOWN` The type of image is not known.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusImage.EmfPlusImageDataType` | `valueOf(int id)`
    `static HemfPlusImage.EmfPlusImageDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusImage.EmfPlusImageDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final HemfPlusImage.EmfPlusImageDataType UNKNOWN

      The type of image is not known.

    - #### BITMAP

          public static final HemfPlusImage.EmfPlusImageDataType BITMAP

      Specifies a bitmap image.

    - #### METAFILE

          public static final HemfPlusImage.EmfPlusImageDataType METAFILE

      Specifies a metafile image.

    - #### CONTINUED

          public static final HemfPlusImage.EmfPlusImageDataType CONTINUED

      POI-specific - marks an unfinished/continuable image part

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusImage.EmfPlusImageDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusImage.EmfPlusImageDataType c : HemfPlusImage.EmfPlusImageDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusImage.EmfPlusImageDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusImage.EmfPlusImageDataType valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.